import * as execa from 'execa';
export { execa };
export declare const exec: (command: string, options?: execa.Options) => execa.ExecaChildProcess;
export declare const spawn: execa.ExecaStatic;
export declare class ShellContext {
    private _cwd;
    private _env;
    cwd(): string;
    cd(path: string): void;
    exec(command: string, options?: execa.Options): execa.ExecaChildProcess;
    spawn(file: string, args?: string[], options?: execa.Options): execa.ExecaChildProcess;
    env(key: string, val: string): {
        [x: string]: string;
    };
}
export declare function shell(callback: (ctx: ShellContext) => Promise<any>): Promise<any>;
